Name:           python-gcs-oauth2-boto-plugin
Version:        3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Auth plugin allowing use the use of OAuth 2.0 credentials for Google Cloud Storage in the Boto library.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://developers.google.com/storage/docs/gspythonlibrary
Source:         %{pypi_source gcs_oauth2_boto_plugin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gcs-oauth2-boto-plugin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gcs-oauth2-boto-plugin
Summary:        %{summary}

%description -n python3-gcs-oauth2-boto-plugin %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-gcs-oauth2-boto-plugin dev


%prep
%autosetup -p1 -n gcs_oauth2_boto_plugin-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gcs-oauth2-boto-plugin -f %{pyproject_files}


%changelog
%autochangelog